summaryrefslogtreecommitdiffstats
path: root/third_party/cups/update.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
commit36d22d82aa202bb199967e9512281e9a53db42c9 (patch)
tree105e8c98ddea1c1e4784a60a5a6410fa416be2de /third_party/cups/update.sh
parentInitial commit. (diff)
downloadfirefox-esr-upstream.tar.xz
firefox-esr-upstream.zip
Adding upstream version 115.7.0esr.upstream/115.7.0esrupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/cups/update.sh')
-rwxr-xr-xthird_party/cups/update.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/third_party/cups/update.sh b/third_party/cups/update.sh
new file mode 100755
index 0000000000..22656d4315
--- /dev/null
+++ b/third_party/cups/update.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# Script to update the mozilla in-tree copy of CUPS headers
+# Run this within the /third_party/cups directory of the source tree.
+
+MY_TEMP_DIR=`mktemp -d -t cups_update.XXXXXX` || exit 1
+
+COMMIT='82e3ee0e3230287b76a76fb8f16b92ca6e50b444'
+FILES='cups/cups.h cups/array.h cups/file.h cups/http.h cups/ipp.h cups/language.h cups/pwg.h cups/versioning.h'
+git clone git://github.com/apple/cups.git "$MY_TEMP_DIR" --depth 1
+git -C "$MY_TEMP_DIR" fetch origin "$COMMIT"
+git -C "$MY_TEMP_DIR" reset --hard "$COMMIT"
+
+mkdir -p include/cups 2> /dev/null
+rm -rf include/cups/*
+
+for FILE in $FILES ; do
+ mv "$MY_TEMP_DIR/$FILE" "include/$FILE"
+done
+
+rm -rf "$MY_TEMP_DIR"
+
+echo "###"
+echo "### Updated cups to $COMMIT."
+echo "### Remember to verify and commit the changes to source control!"
+echo "###"
+